Bug 1113470 (CVE-2014-4656) - CVE-2014-4656 Kernel: ALSA: control: integer overflow in id.index & id.numid
Summary: CVE-2014-4656 Kernel: ALSA: control: integer overflow in id.index & id.numid
Status: CLOSED ERRATA
Alias: CVE-2014-4656
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140618,repor...
Keywords: Security
Depends On: 1117309 1117310 1117311 1117312 1117313 1117314 1117315 1149140
Blocks: 1112943
TreeView+ depends on / blocked
 
Reported: 2014-06-26 09:05 UTC by Prasad J Pandit
Modified: 2018-12-09 18:04 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An integer overflow flaw was found in the way the Linux kernel's Advanced Linux Sound Architecture (ALSA) implementation handled user controls. A local, privileged user could use this flaw to crash the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-27 22:32:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1083 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2014-08-20 14:51:31 UTC
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC
Red Hat Product Errata RHSA-2015:0087 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-01-28 00:44:29 UTC

Description Prasad J Pandit 2014-06-26 09:05:03 UTC
Linux kernel built with the Advanced Linux Sound Architecture(ALSA) sound
system support(CONFIG_SND) is vulnerable to an integer overflow flaw. It
could occur when user space application removes or adds new controls.

A user/application could use this flaw to crash the system kernel resulting in
DoS.

Upstream fixes:
---------------
  -> https://git.kernel.org/linus/883a1d49f0d77d30012f114b2e19fc141beb3e8e
  -> https://git.kernel.org/linus/ac902c112d90a89e59916f751c2745f4dbdbb4bd

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/06/26/6

Comment 1 Prasad J Pandit 2014-07-08 13:17:13 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 5 may address this issue.

Comment 5 Martin Prpič 2014-08-18 11:17:39 UTC
IssueDescription:

An integer overflow flaw was found in the way the Linux kernel's Advanced Linux Sound Architecture (ALSA) implementation handled user controls. A local, privileged user could use this flaw to crash the system.

Comment 6 errata-xmlrpc 2014-08-20 10:51:59 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1083 https://rhn.redhat.com/errata/RHSA-2014-1083.html

Comment 8 errata-xmlrpc 2014-12-09 20:34:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html

Comment 9 errata-xmlrpc 2015-01-27 19:46:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0087 https://rhn.redhat.com/errata/RHSA-2015-0087.html


Note You need to log in before you can comment on or make changes to this bug.